{
    "path": "$OET_PATH/testcases/function_test/pkg_test/gstreamer1-plugins-good/gstreamer1-plugins-good-gtk",
    "machine num": 1,
    "cases": [
        {
            "name": "test_gstreamer1-plugins-good-gtk_function_install",
            "desc": "Test package installation"
        },
        {
            "name": "test_gstreamer1-plugins-good-gtk_function_basic",
            "desc": "Test basic functionality"
        },
        {
            "name": "test_gstreamer1-plugins-good-gtk_function_uninstall",
            "desc": "Test package removal"
        },
        {
            "name": "test_gstreamer1-plugins-good-gtk_function_gtkplayback",
            "desc": "Test GTK video playback"
        },
        {
            "name": "test_gstreamer1-plugins-good-gtk_function_gtkglsink",
            "desc": "Test OpenGL rendering"
        },
        {
            "name": "test_gstreamer1-plugins-good-gtk_function_pipeline",
            "desc": "Test GStreamer pipeline"
        }
    ]
}